# gdcm::ImplicitDataElement Class Reference

Class to represent an *Implicit VR* Data Element. More...

`#include <gdcmImplicitDataElement.h>`

Inheritance diagram for gdcm::ImplicitDataElement:
[legend]
Collaboration diagram for gdcm::ImplicitDataElement:
[legend]

List of all members.

## Public Member Functions

VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadPreValue (std::istream &is)
template<typename TSwap >
std::istream & | ReadValue (std::istream &is)
template<typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)
template<typename TSwap >
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

Class to represent an *Implicit VR* Data Element.

Note:
  bla

Examples:

  ReadExplicitLengthSQIVR.cxx.

## Member Function Documentation

VL gdcm::ImplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::ImplicitDataElement::Read | ( | std::istream & | is | ) |

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::ImplicitDataElement::ReadPreValue | ( | std::istream & | is | ) |

template<typename TSwap >

std::istream& gdcm::ImplicitDataElement::ReadValue | ( | std::istream & | is | ) |

template<typename TSwap >

std::istream& gdcm::ImplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length
| ) |  |

Reimplemented from gdcm::DataElement.

template<typename TSwap >

const std::ostream& gdcm::ImplicitDataElement::Write | ( | std::ostream & | os | ) | const

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmImplicitDataElement.h